Debian Bug report logs - #693719
ITP: https-finder -- extension that detects valid HTTPS pages as you browse

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Mon, 19 Nov 2012 17:06:02 UTC

Owned by: Dmitry Smirnov <onlyjob@member.fsf.org>

Severity: wishlist

Fixed in version https-finder/086-1

Done: Dmitry Smirnov <onlyjob@member.fsf.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-mozext-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#693719; Package wnpp. (Mon, 19 Nov 2012 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to pkg-mozext-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Mon, 19 Nov 2012 17:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: ITP: https-finder -- extension that detects valid HTTPS pages as you browse
Date: Tue, 20 Nov 2012 04:03:27 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org
X-Debbugs-CC: pkg-mozext-maintainers@lists.alioth.debian.org

   Package name: xul-ext-https-finder
        Version: 0.86
Upstream Author: Kevin Jacobs <httpsfinder@gmail.com>
            URL: https://code.google.com/p/https-finder/
        License: MPL-1.1
    Description: extension that detects valid HTTPS pages as you browse
 HTTPS Finder automatically detects and enforces valid HTTPS connections
 as you browse, as well as automating the rule creation process for
 HTTPS-Everywhere (instead of having to manually type "https://" in the
 address bar to test, and writing your own XML rule for it).
 .
 The extension sends a small HTTPS request to each HTTP page you browse
 to. If there is a response, the certificate is checked for validity (any
 certificate errors will result in no notification, and no further
 detection requests during that session). If valid, HTTPS is
 automatically enforced (can be disabled for an alert only, with no
 redirect), and the user is given an option to save the auto-generated
 rule for HTTPS Everywhere. It is recommended to create rules whenever
 possible, as it more securely enforces secure connections.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Dmitry Smirnov <onlyjob@member.fsf.org>. Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 17:18:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 22 Nov 2012 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
You have taken responsibility. (Sun, 09 Dec 2012 16:03:22 GMT) Full text and rfc822 format available.

Notification sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 16:03:22 GMT) Full text and rfc822 format available.

Message #14 received at 693719-close@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 693719-close@bugs.debian.org
Subject: Bug#693719: fixed in https-finder 086-1
Date: Sun, 09 Dec 2012 16:00:05 +0000
Source: https-finder
Source-Version: 086-1

We believe that the bug you reported is fixed in the latest version of
https-finder, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693719@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Smirnov <onlyjob@member.fsf.org> (supplier of updated https-finder package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 22 Nov 2012 11:44:12 +0100
Source: https-finder
Binary: xul-ext-https-finder
Architecture: source all
Version: 086-1
Distribution: unstable
Urgency: low
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Changed-By: Dmitry Smirnov <onlyjob@member.fsf.org>
Description: 
 xul-ext-https-finder - extension that detects valid HTTPS pages as you browse
Closes: 693719
Changes: 
 https-finder (086-1) unstable; urgency=low
 .
   * Initial release (Closes: #693719).
Checksums-Sha1: 
 c4fa5dd69355a249b25f308f28f02abdb0923185 1996 https-finder_086-1.dsc
 da91257ea1aaf845594c63efd468eab985fc0064 70309 https-finder_086.orig.tar.bz2
 628fd89505aebe200cc2b710c695ab7cf8b98b95 11024 https-finder_086-1.debian.tar.xz
 10bdaea67615fdaf9863d2c75ae696ac56773774 98070 xul-ext-https-finder_086-1_all.deb
Checksums-Sha256: 
 a986c1a54452d65b55b02d2367436c8169bc90999ce4877af6e29476129d73d8 1996 https-finder_086-1.dsc
 8d20d76b47772d7b95fa10efd5a5c7349617f1d3d7e7d66848234eb472700acc 70309 https-finder_086.orig.tar.bz2
 9f07f43afb86369858e37d53c78e42dfd1fb3bbfdc1b538bcafdc639aa63c662 11024 https-finder_086-1.debian.tar.xz
 a9b12cbd5c0ce17b071ea4809ccaf01335d5bb3c8cc653999749b09dbc9679d7 98070 xul-ext-https-finder_086-1_all.deb
Files: 
 a4fd195e4bad13b6f6e474483e4e9554 1996 web optional https-finder_086-1.dsc
 e5c7ff87355e01620457469d9dfcfdba 70309 web optional https-finder_086.orig.tar.bz2
 cbf06eed87c5ea54b2400a8988c132d4 11024 web optional https-finder_086-1.debian.tar.xz
 6ccd73b138699fe2f2c9f69c10218c45 98070 web optional xul-ext-https-finder_086-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJQrgZSAAoJEBWetcTvyHdMWr8P/RbhP1cgxhtUfcxTSP0a7PyI
oHmStri2WNJsXQmsMGTWr3KlB9TV49em0yojEfbbNDhxO/0Tki72fZoGEc9TbtfW
3OM70OORqHa4i96Q3oigiXDp0tDZy/1EXmZ+Zvqwf1zl4GQdCv59nrcJNcjKfMF5
Ph7Y8DMDsjq3d4Hs95YvCNkQtvpwm+PjIeGE32ZHrkzGhStTqrP0Mf9/nP+cntR2
ovNzFElMJKriiW5xptkXOU+YRzQSvAEBAiqhmje3FwpFWVKDYnhIjIHf4dHQpNa1
ic8YwUJhy9RohpsgcxYky/NOkQ3+ZtWukh6D2FXnssNeGhbmUFlzpPD2vbmeqaE6
zDMgmOowvf0TbkmxFNWfPmj/boRWdNGas7WKqpMufuBKV9m6G0bOcNnI6qmzeonp
5EtkBq4Y4Y0auBCRrKCyg2kLQMDC2HBPKLQNDgSBH1GatNdLtL/P+uHqKoG3MelG
d/71J9nQK6cHpK33whhAtBpBwqoHcQcKL/rrPjHBkKXq9+M6HGIC2FLYx1ua46zE
MjMawD4RWvErW0J1TBU+R/1+OzHSK/oZYqi11VjJCP9itE/k+/G+lwJqh+1vVNZ0
4uy/fa64+5Yx8XBIvqwe7dzaI/ZNeLL7SSKAkyIfmiURKzFryaaG4KMwPSt/YSvS
u3mdS4Cto8VY1jjobxfm
=7mhe
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:26:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:42:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.